## gcc-msp430 4.5.3~mspgcc-4.5.2-20110612

=== debian/changelog ===
gcc-msp430 (4.5.3~mspgcc-4.5.2-20110612-1) unstable; urgency=low

  * New upstream release
    + First official mspgcc tarball

 -- Luca Bruno <lucab@debian.org>  Mon, 13 Jun 2011 12:17:44 +0200

gcc-msp430 (4.5.3~msp20110421-1) unstable; urgency=low

  * Upload to Debian Unstable

 -- Luca Bruno <lucab@debian.org>  Wed, 01 Jun 2011 15:59:24 +0200

gcc-msp430 (4.5.2~msp20110421-0exp1) experimental; urgency=low

  * Initial upload to Debian (Closes: #137712)

 -- Luca Bruno <lucab@debian.org>  Fri, 22 Apr 2011 16:12:45 +0200
