=== debian/control ===
Source: gcc-msp430
Section: devel
Priority: extra
Maintainer: Luca Bruno <lucab@debian.org>
Standards-Version: 3.9.2
Build-Depends: 	autoconf (>= 2.13), bison, flex, gettext, texinfo,
		binutils (>= 2.9.5.0.12), gcc (>= 2.95.2), 
		debhelper (>= 7), tar (>= 1.13.18), bzip2, 
		findutils(>=4.2.31), gcc-4.5-source (>= 4.5.2),
		libgmp-dev (>= 2:5.0.1+dfsg-7), libmpfr-dev,
		libmpc-dev, libzip-dev, binutils-msp430 (>= 2.21~),
		msp430mcu
Build-Conflicts: binutils-multiarch
Built-Using: gcc-4.5 (= 4.5.3-1)

Package: gcc-msp430
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, msp430mcu, binutils-msp430 (>= 2.21~)
Recommends: msp430-libc
Description: The GNU C compiler (cross compiler for MSP430)
 This is the GNU C compiler, a fairly portable optimizing compiler for C
 for TI's MSP430 architecture.  This package is primarily for MSP430 
 developers and cross-compilers and is not needed by normal users.
