## gcc-msp430 4.5.3~mspgcc-20110716

=== debian/changelog ===
gcc-msp430 (4.5.3~mspgcc-20110716-4) unstable; urgency=low

  * Fix building targets in debian/rules

 -- Luca Bruno <lucab@debian.org>  Wed, 18 Jan 2012 21:17:05 +0100

gcc-msp430 (4.5.3~mspgcc-20110716-3) unstable; urgency=low

  * Upstream patch-point
    + SF 3433730: Bug when casting function parameters

 -- Luca Bruno <lucab@debian.org>  Sun, 06 Nov 2011 09:25:18 +0100

gcc-msp430 (4.5.3~mspgcc-20110716-2) unstable; urgency=low

  * Upstream patch-point
    + SF 3409864: Args overwritten after call involving int64
    + SF 3417263: GDB wrong address for variables
    + SF 3431602: Incorrect comparison to 32-bit literal

 -- Luca Bruno <lucab@debian.org>  Fri, 04 Nov 2011 22:33:24 +0100

gcc-msp430 (4.5.3~mspgcc-20110716-1) unstable; urgency=low

  * Upstream patch-point
    + SF 3370978: ICE on shift with 32-bit count
    + SF 3390964: broken optimization with emulated multiply libcalls
    + SF 3394176: unrecognizable insn error subtracting addresses
    + SF 3396639: restore lost source listings (and perhaps debugger support)

 -- Luca Bruno <lucab@debian.org>  Tue, 23 Aug 2011 10:36:00 +0200
