=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, msp430mcu, binutils-msp430 (>= 2.21~)
 Recommends: msp430-libc
-Description: The GNU C compiler (cross compiler for MSP430)
+Description: GNU C compiler (cross compiler for MSP430)
  This is the GNU C compiler, a fairly portable optimizing compiler for C
  for TI's MSP430 architecture.  This package is primarily for MSP430 
  developers and cross-compilers and is not needed by normal users.
