=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 PACKAGE=gcc-msp430
 TARGET=msp430
+VERSION = $(shell dpkg-parsechangelog | sed -n 's/^Version:.*\(msp.*\)-.*$$/\1/p')
 
 CONFARGS = -v \
            --enable-languages=c,c++ \
@@ -23,7 +24,8 @@
            --disable-libssp \
            --build=$(DEB_BUILD_GNU_TYPE) \
            --host=$(DEB_HOST_GNU_TYPE) \
-           --target=$(TARGET)
+           --target=$(TARGET) \
+	   --with-pkgversion="GNU GCC patched $(VERSION)"  
 
 BUILD_TREE = $(shell find . -maxdepth 1 -mindepth 1 -type d -name 'gcc*')
 DEB_SOURCE = /usr/src/gcc-4.5/
@@ -48,7 +50,9 @@
 	cd $(BUILD_RES) && $(CURDIR)/$(BUILD_TREE)/configure $(CONFARGS)
 	touch configure-stamp
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: configure-stamp
 	dh_testdir
 	$(MAKE) $(MAKEFLAGS) -C $(BUILD_RES)
