## gcc-msp430 4.6.3~mspgcc-20120406

=== debian/changelog ===
gcc-msp430 (4.6.3~mspgcc-20120406-7ubuntu3) utopic; urgency=medium

  * Drop restoreconfig from d/rules, trying to fix FTBFS.

 -- Artur Rona <ari-tczew@ubuntu.com>  Thu, 28 Aug 2014 00:02:36 +0200

gcc-msp430 (4.6.3~mspgcc-20120406-7ubuntu2) utopic; urgency=medium

  * Switch from autoreconf to autotools, now it should start working.

 -- Artur Rona <ari-tczew@ubuntu.com>  Wed, 27 Aug 2014 08:51:25 +0200

gcc-msp430 (4.6.3~mspgcc-20120406-7ubuntu1) utopic; urgency=medium

  * debian/control, debian/rules:
    - Use dh-autoreconf to get new libtool macros for ppc64el
      and update config.{sub,guess} for new arches. (Closes: #744434)

 -- Artur Rona <ari-tczew@ubuntu.com>  Wed, 27 Aug 2014 00:30:52 +0200

gcc-msp430 (4.6.3~mspgcc-20120406-7) unstable; urgency=medium

  * Fix generation of wrong interrupt table for MSP430FR5xxx 
    targets, resulting in security fuse blown (Closes: #706482) 

 -- Luca Bruno <lucab@debian.org>  Sat, 23 Aug 2014 19:38:20 +0200

gcc-msp430 (4.6.3~mspgcc-20120406-6) unstable; urgency=high

  * Fix ICE by backporting pr54638, now building with standard gcc
    (Closes: #747998) 

 -- Luca Bruno <lucab@debian.org>  Sun, 17 Aug 2014 15:46:15 +0200

gcc-msp430 (4.6.3~mspgcc-20120406-5) unstable; urgency=medium

  * Use gcc-4.7 for building (Closes: #701281)
  * Do not build info doc (Closes: #712342)

 -- Luca Bruno <lucab@debian.org>  Fri, 12 Jul 2013 19:52:56 +0200

gcc-msp430 (4.6.3~mspgcc-20120406-4) unstable; urgency=high

  * Change package description to mention the incompatibility
    with MSP430FR5xxx chips (eg. Fraunchpad board).
    This package DOES NOT work on that chips series, and will
    brick your hardware
  * Do not use embedded zlib for building

 -- Luca Bruno <lucab@debian.org>  Thu, 02 May 2013 13:40:16 +0200

gcc-msp430 (4.6.3~mspgcc-20120406-3) unstable; urgency=low

  * Disable features not relevant to msp430

 -- Luca Bruno <lucab@debian.org>  Sun, 20 May 2012 13:53:14 +0200

gcc-msp430 (4.6.3~mspgcc-20120406-2) unstable; urgency=low

  * Upload to unstable 

 -- Luca Bruno <lucab@debian.org>  Fri, 18 May 2012 20:45:00 +0200

gcc-msp430 (4.6.3~mspgcc-20120406-1) experimental; urgency=low

  * New upstream release   
  * Due to upstream and debian gcc-source de-synchronization,
    vanilla sources are now embedded here along with patches

 -- Luca Bruno <lucab@debian.org>  Thu, 17 May 2012 09:04:24 +0200
