=== debian/control ===
Source: gcc-msp430
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Luca Bruno <lucab@debian.org>
Standards-Version: 3.9.5
Build-Depends: 	autoconf (>= 2.13), bison, flex, gettext, texinfo,
		binutils (>= 2.9.5.0.12), gcc (>= 2.95.2), 
		debhelper (>= 7), tar (>= 1.13.18), bzip2, 
		findutils(>=4.2.31), libgmp-dev (>= 2:5.0.1+dfsg-7), 
		libmpfr-dev, libmpc-dev, libzip-dev, 
		binutils-msp430 (>= 2.21~), msp430mcu, autotools-dev
Build-Conflicts: binutils-multiarch

Package: gcc-msp430
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, msp430mcu, binutils-msp430 (>= 2.21~)
Recommends: msp430-libc
Description: GNU C compiler (cross compiler for MSP430)
 This is the GNU C compiler, a fairly portable optimizing compiler for C
 for TI's MSP430 architecture.  This package is primarily for MSP430 
 developers and cross-compilers and is not needed by normal users.
 .
 BEWARE: due to a bug in the memory layout reference of FRAM-based chips, 
 this package DOES NOT WORK with MSP430FR5xxx chips (eg. FraunchPad devkit).
 DO NOT use gcc-msp430 on that chip series, as you will lose access to
 JTAG and BSL, and permanently BRICK your chip!
