=== debian/rules ===
--- 
+++ 
@@ -10,30 +10,24 @@
 CONFARGS = -v \
            --enable-languages=c,c++ \
            --prefix=/usr \
+           --with-system-zlib \
            --infodir=\$${prefix}/share/info \
            --mandir=\$${prefix}/share/man \
            --bindir=\$${prefix}/bin \
            --libexecdir=\$${prefix}/lib \
            --libdir=\$${prefix}/lib \
-           --enable-shared \
-           --with-system-zlib \
-           --enable-long-long \
-           --enable-nls \
-           --without-included-gettext \
-           --disable-checking \
-           --disable-libssp \
            --build=$(DEB_BUILD_GNU_TYPE) \
            --host=$(DEB_HOST_GNU_TYPE) \
-           --target=$(TARGET) \
-	   --with-pkgversion="GNU GCC patched $(VERSION)"  
+	   MAKEINFO=missing \
+           --target=$(TARGET)
 
 BUILD_TREE = $(shell find . -maxdepth 1 -mindepth 1 -type d -name 'gcc*')
-DEB_SOURCE = /usr/src/gcc-4.5/
+DEB_SOURCE = ./
 BUILD_RES = build-result
 
 unpack: unpack-stamp
 unpack-stamp: 
-	tar xJf $(DEB_SOURCE)/gcc-*.tar.*
+	tar xaf $(DEB_SOURCE)/gcc-*.tar.*
 	touch unpack-stamp
 
 patch-stamp: unpack-stamp
@@ -46,7 +40,9 @@
 configure: configure-stamp
 configure-stamp: patch-stamp
 	dh_testdir
+	dh_autotools-dev_updateconfig
 	mkdir -p $(BUILD_RES)
+	sed -i 's/BUILD_INFO=info/BUILD_INFO=/' $(BUILD_TREE)/configure
 	cd $(BUILD_RES) && $(CURDIR)/$(BUILD_TREE)/configure $(CONFARGS)
 	touch configure-stamp
